<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCardID Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetCardID Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

bsExtension
  Extension of file for which to get a data card ID; for example, "DWG" or "DOC" or "." to get the ID of the data card for this folder

Gets the ID of the data card of a file with the specified extension or the ID of the data card of this folder.

# Syntax

Visual Basic |
--- | ---

    Function GetCardID( _
       ByVal bsExtension As System.String _
    ) As System.Integer

C# |
--- | ---

    System.int GetCardID(
       System.string bsExtension
    )

C++/CLI |
--- | ---

    System.int GetCardID(
    &   System.String^ bsExtension
    )

#### Parameters

bsExtension
  Extension of file for which to get a data card ID; for example, "DWG" or "DOC" or "." to get the ID of the data card for this folder

#### Return Value

ID of the data card; 0 if not found

# Example

Get Card Control Information (VB.NET)
Get Card Control Information (C#)

# Remarks

If you need to access the entire card, call IEdmFolder5::GetCard.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The card is not found.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2